package modelo;

import java.util.ArrayList; 


public class PasoCU {
    private boolean esCondicional;
    private String condicion;
    private boolean accion_sistema;
    private boolean accion_actor;
    private String accion;


    private ArrayList<ExcepcionCU> mExcepcionCU=new ArrayList();

 
    public PasoCU () {
    }


    public ArrayList<ExcepcionCU> getExcepcionCU () {
        return mExcepcionCU;
    }


    public void setExcepcionCU (ArrayList<ExcepcionCU> val) {
        this.mExcepcionCU = val;
    }

    /**
     * @return the esCondicional
     */
    public boolean isEsCondicional() {
        return esCondicional;
    }

    /**
     * @param esCondicional the esCondicional to set
     */
    public void setEsCondicional(boolean esCondicional) {
        this.esCondicional = esCondicional;
    }

    /**
     * @return the condicion
     */
    public String getCondicion() {
        return condicion;
    }

    /**
     * @param condicion the condicion to set
     */
    public void setCondicion(String condicion) {
        this.condicion = condicion;
    }

    /**
     * @return the accion_sistema
     */
    public boolean isAccion_sistema() {
        return accion_sistema;
    }

    /**
     * @param accion_sistema the accion_sistema to set
     */
    public void setAccion_sistema(boolean accion_sistema) {
        this.accion_sistema = accion_sistema;
    }

    /**
     * @return the accion_actor
     */
    public boolean isAccion_actor() {
        return accion_actor;
    }

    /**
     * @param accion_actor the accion_actor to set
     */
    public void setAccion_actor(boolean accion_actor) {
        this.accion_actor = accion_actor;
    }

    /**
     * @return the accion
     */
    public String getAccion() {
        return accion;
    }

    /**
     * @param accion the accion to set
     */
    public void setAccion(String accion) {
        this.accion = accion;
    }
    
    public ExcepcionCU nuevoExcepcion (String aux_accion, String aux_condicion, boolean aux_sistema, boolean aux_actor) {
        //// Creo la instancia
        ExcepcionCU auxExcepcion=new ExcepcionCU();
        //// Asigno los valores a los atributos
        auxExcepcion.setAccion(aux_accion);
        auxExcepcion.setCondicion(aux_condicion);
        //auxExcepcion.setContinua(aux_continua);
        auxExcepcion.setAccion_sistema(aux_sistema);
        auxExcepcion.setAccion_actor(aux_actor);
        //// Enlazo el CasodeUso a la lista de CU que tiene el documento
        this.getExcepcionCU().add(auxExcepcion);
        return auxExcepcion;
    }

}

